Insights
Update insight
PATCH
Change the status of an insight (open, in_progress, resolved, dismissed).
bearer insights:writeheader
AuthorizationBearer <token>API key (rsl_live_…) from Settings → Developers.
Scope: insights:write
insightId*stringInsight id. Never invent ids – list resources first.
Length
1 <= length <= 64application/json- body
status*stringValue in
"open""in_progress""resolved""dismissed"Success
application/json- response
id*stringstatus*stringValue in
"open""in_progress""resolved""dismissed"curl -X PATCH "https://example.com/insights/string" \ -H "Content-Type: application/json" \ -d '{ "status": "open" }'{ "id": "string", "status": "open"}